💸Fees

Here are endpoints for getting DEX trade fee information are described

get

Returns the latest fees with optional filters.

Query parameters
tokenAddressstringOptional

Filter fees by token address.

Example: 0x82aF49447D8a07e3bd95BD0d56f35241523fBab1
poolAddressstringOptional

Filter fees by pool address

Example: 0x95c9bF3f60Cbc2BE8e148FAe82f26930bFcD1839
minFeeUSDnumber · floatOptional

Minimum fees in USD

Example: 1000
blockchainstringOptional

Filter fees by blockchain.

Example: Arbitrum
exchangestringOptional

Filter fees by exchange name or address.

Example: Uniswap v3
periodstringOptional

Period within of which fee is calculated

Default: 1dExample: 1d
Responses
chevron-right
200

Latest fees with specified filters.

application/json
statusstringOptionalExample: okPattern: ^ok$
get
/fees/latest
get

Returns historical fees with optional filters.

Path parameters
sinceintegerRequired

UNIX-time from which to get historical fees.

Example: 1693392198
Query parameters
untilintegerOptional

UNIX-time until which to get historical fees.

Example: 1693392498
tokenAddressstringOptional

Filter fees by token address.

Example: 0x82aF49447D8a07e3bd95BD0d56f35241523fBab1
poolAddressstringOptional

Filter fees by pool address.

Example: 0x95c9bF3f60Cbc2BE8e148FAe82f26930bFcD1839
minFeesUSDnumber · floatOptional

Minimum fee in USD.

Example: 1000
blockchainstringOptional

Filter fees by blockchain.

Example: Arbitrum
exchangestringOptional

Filter fees by exchange name or address.

Example: Uniswap v3
granularitystringOptional

Granularity within of which fee is calculated

Default: 1dExample: 1d
Responses
chevron-right
200

Historical fees with specified filters.

application/json
statusstringOptionalExample: okPattern: ^ok$
get
/fees/historical/{since}
get

Returns total fees within specified period with optional filters.

Path parameters
sinceintegerRequired

UNIX-time from which to get historical fees.

Example: 1693392198
Query parameters
untilintegerOptional

UNIX-time until which to get historical fees.

Example: 1693392498
tokenAddressstringOptional

Filter fees by token address.

Example: 0x82aF49447D8a07e3bd95BD0d56f35241523fBab1
poolAddressstringOptional

Filter fees by pool address.

Example: 0x95c9bF3f60Cbc2BE8e148FAe82f26930bFcD1839
minFeesUSDnumber · floatOptional

Minimum fee in USD.

Example: 1000
blockchainstringOptional

Filter fees by blockchain.

Example: Arbitrum
exchangestringOptional

Filter fees by exchange name or address.

Example: Uniswap v3
Responses
chevron-right
200

Aggregated fees for all pools matching specified filters.

application/json
statusstringOptionalExample: okPattern: ^ok$
get
/fees/aggregated/{since}

Last updated